io.undertow

## Class UndertowMessages_$bundle

- java.lang.Object
- - io.undertow.UndertowMessages_$bundle

All Implemented Interfaces:
  UndertowMessages, Serializable

    @Generated(value="org.jboss.logging.processor.generator.model.MessageBundleImplementor",
               date="2022-12-09T08:00:04-0300")
    public class UndertowMessages_$bundle
    extends Object
    implements UndertowMessages, Serializable

Warning this class consists of generated code.

See Also:
  Serialized Form

### Field Summary

Fields
`static UndertowMessages_$bundle` `INSTANCE`

### Fields inherited from interface io.undertow.UndertowMessages

`MESSAGES`

### Constructor Summary

Constructors
`protected` `UndertowMessages_$bundle()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IllegalStateException` `ajpRequestAlreadyInProgress()`
`protected String` `ajpRequestAlreadyInProgress$str()`
`IllegalArgumentException` `argumentCannotBeNull(String argument)`
`protected String` `argumentCannotBeNull$str()`
`String` `authenticationFailed(String userName)`
`protected String` `authenticationFailed$str()`
`IllegalStateException` `authenticationPropertyNotSet(String name, String header)`
`protected String` `authenticationPropertyNotSet$str()`
`IllegalStateException` `authMechanismOutcomeNull()`
`protected String` `authMechanismOutcomeNull$str()`
`IOException` `awaitCalledFromIoThread()`
`protected String` `awaitCalledFromIoThread$str()`
`BadRequestException` `badRequest()`
`protected String` `badRequest$str()`
`IllegalStateException` `blockingIoFromIOThread()`
`protected String` `blockingIoFromIOThread$str()`
`org.xnio.channels.ReadTimeoutException` `blockingReadTimedOut(long timeoutNanoseconds)`
`protected String` `blockingReadTimedOut$str()`
`org.xnio.channels.WriteTimeoutException` `blockingWriteTimedOut(long timeoutNanoseconds)`
`protected String` `blockingWriteTimedOut$str()`
`IllegalStateException` `bodyIsSetAndNotReadyForFlush()`
`protected String` `bodyIsSetAndNotReadyForFlush$str()`
`IllegalStateException` `bufferAlreadyFreed()`
`protected String` `bufferAlreadyFreed$str()`
`IllegalArgumentException` `bufferPoolTooSmall(int minSize)`
`protected String` `bufferPoolTooSmall$str()`
`IllegalStateException` `cannotResetBuffer()`
`protected String` `cannotResetBuffer$str()`
`IOException` `cannotSendContinueResponse()`
`protected String` `cannotSendContinueResponse$str()`
`IllegalStateException` `canOnlyBeCalledByIoThread()`
`protected String` `canOnlyBeCalledByIoThread$str()`
`ClosedChannelException` `channelIsClosed()`
`protected String` `channelIsClosed$str()`
`IOException` `chunkedChannelClosedMidChunk()`
`protected String` `chunkedChannelClosedMidChunk$str()`
`IOException` `chunkSizeTooLarge()`
`protected String` `chunkSizeTooLarge$str()`
`IOException` `connectionTerminatedReadingMultiPartData()`
`protected String` `connectionTerminatedReadingMultiPartData$str()`
`IllegalStateException` `connectNotSupported()`
`protected String` `connectNotSupported$str()`
`IOException` `controlFrameCannotHaveBodyContent()`
`protected String` `controlFrameCannotHaveBodyContent$str()`
`IOException` `couldNotDecodeTrailers()`
`protected String` `couldNotDecodeTrailers$str()`
`IllegalStateException` `couldNotFindSessionCookieConfig()`
`protected String` `couldNotFindSessionCookieConfig$str()`
`RuntimeException` `couldNotGenerateUniqueSessionId()`
`protected String` `couldNotGenerateUniqueSessionId$str()`
`IllegalArgumentException` `couldNotParseCookie(String headerValue)`
`protected String` `couldNotParseCookie$str()`
`RuntimeException` `couldNotParseUriTemplate(String path, int i)`
`protected String` `couldNotParseUriTemplate$str()`
`IOException` `couldNotReadContentLengthData()`
`protected String` `couldNotReadContentLengthData$str()`
`String` `couldNotSetAttribute(String attributeName, String newValue)`
`protected String` `couldNotSetAttribute$str()`
`IllegalStateException` `dataAlreadyQueued()`
`protected String` `dataAlreadyQueued$str()`
`IllegalArgumentException` `datasourceNotFound(String ds)`
`protected String` `datasourceNotFound$str()`
`IllegalStateException` `defaultContextCannotBeNull()`
`protected String` `defaultContextCannotBeNull$str()`
`SSLException` `duplicatedSniServerName(int type)`
`protected String` `duplicatedSniServerName$str()`
`SSLException` `emptyHostNameSni()`
`protected String` `emptyHostNameSni$str()`
`IllegalArgumentException` `errorParsingPredicateString(String reason, String s)`
`protected String` `errorParsingPredicateString$str()`
`IllegalStateException` `exchangeAlreadyComplete()`
`protected String` `exchangeAlreadyComplete$str()`
`SSLHandshakeException` `expectedClientHello()`
`protected String` `expectedClientHello$str()`
`String` `expectedContinuationFrame()`
`protected String` `expectedContinuationFrame$str()`
`SSLHandshakeException` `expectedServerHello()`
`protected String` `expectedServerHello$str()`
`IOException` `extraDataWrittenAfterChunkEnd()`
`protected String` `extraDataWrittenAfterChunkEnd$str()`
`String` `failedToDecodeParameterName(String parameter, Exception e)`
`protected String` `failedToDecodeParameterName$str()`
`String` `failedToDecodeParameterValue(String parameter, String value, Exception e)`
`protected String` `failedToDecodeParameterValue$str()`
`UrlDecodeException` `failedToDecodeURL(String s, String enc, Exception e)`
`protected String` `failedToDecodeURL$str()`
`RuntimeException` `failedToInitializePathManager(String path, IOException ioe)`
`protected String` `failedToInitializePathManager$str()`
`RuntimeException` `failedToParsePath()`
`protected String` `failedToParsePath$str()`
`SSLException` `failedToReplaceHashOutputStream(Exception e)`
`protected String` `failedToReplaceHashOutputStream$str()`
`RuntimeException` `failedToReplaceHashOutputStreamOnWrite(Exception e)`
`protected String` `failedToReplaceHashOutputStreamOnWrite$str()`
`IllegalStateException` `failedToSendAfterBeingSafe()`
`protected String` `failedToSendAfterBeingSafe$str()`
`IllegalStateException` `fixedLengthOverflow()`
`protected String` `fixedLengthOverflow$str()`
`IllegalStateException` `formValueIsAFile()`
`protected String` `formValueIsAFile$str()`
`IllegalStateException` `formValueIsAString()`
`protected String` `formValueIsAString$str()`
`IllegalStateException` `formValueIsInMemoryFile()`
`protected String` `formValueIsInMemoryFile$str()`
`protected Locale` `getLoggingLocale()`
`IllegalArgumentException` `handlerCannotBeNull()`
`protected String` `handlerCannotBeNull$str()`
`IllegalStateException` `handlerNotShutdown()`
`protected String` `handlerNotShutdown$str()`
`IllegalArgumentException` `hashAlgorithmNotFound(String algorithmName)`
`protected String` `hashAlgorithmNotFound$str()`
`String` `headerBlockTooLarge()`
`protected String` `headerBlockTooLarge$str()`
`IOException` `headerSizeToLarge()`
`protected String` `headerSizeToLarge$str()`
`IOException` `headersStreamCanOnlyBeCreatedByClient()`
`protected String` `headersStreamCanOnlyBeCreatedByClient$str()`
`RuntimeException` `hostAlreadyRegistered(Object host)`
`protected String` `hostAlreadyRegistered$str()`
`RuntimeException` `hostHasNotBeenRegistered(Object host)`
`protected String` `hostHasNotBeenRegistered$str()`
`HpackException` `hpackFailed()`
`protected String` `hpackFailed$str()`
`IOException` `http2ContinuationFrameNotExpected()`
`protected String` `http2ContinuationFrameNotExpected$str()`
`IOException` `http2FrameTooLarge()`
`protected String` `http2FrameTooLarge$str()`
`IOException` `http2PriRequestFailed()`
`protected String` `http2PriRequestFailed$str()`
`IOException` `http2StreamWasReset()`
`protected String` `http2StreamWasReset$str()`
`RuntimeException` `http2TrailerToLargeForSingleBuffer()`
`protected String` `http2TrailerToLargeForSingleBuffer$str()`
`String` `httpPingDataMustBeLength8()`
`protected String` `httpPingDataMustBeLength8$str()`
`HpackException` `huffmanEncodedHpackValueDidNotEndWithEOS()`
`protected String` `huffmanEncodedHpackValueDidNotEndWithEOS$str()`
`String` `incorrectFrameSize()`
`protected String` `incorrectFrameSize$str()`
`IOException` `incorrectHttp2Preface()`
`protected String` `incorrectHttp2Preface$str()`
`HpackException` `integerEncodedOverTooManyOctets(int maxIntegerOctets)`
`protected String` `integerEncodedOverTooManyOctets$str()`
`IllegalArgumentException` `invalidACLAddress(Exception e)`
`protected String` `invalidACLAddress$str()`
`IllegalArgumentException` `invalidAclRule(String rule)`
`protected String` `invalidAclRule$str()`
`IllegalArgumentException` `invalidBase64Token(IOException cause)`
`protected String` `invalidBase64Token$str()`
`String` `invalidCharacterInRequestTarget(char next)`
`protected String` `invalidCharacterInRequestTarget$str()`
`IllegalArgumentException` `invalidControlCharacter(String value)`
`protected String` `invalidControlCharacter$str()`
`IllegalArgumentException` `invalidCookieDomain(String value)`
`protected String` `invalidCookieDomain$str()`
`IllegalArgumentException` `invalidCookiePath(String value)`
`protected String` `invalidCookiePath$str()`
`IllegalArgumentException` `invalidCookieValue(String value)`
`protected String` `invalidCookieValue$str()`
`IllegalArgumentException` `invalidEscapeCharacter()`
`protected String` `invalidEscapeCharacter$str()`
`IOException` `invalidGZIPFooter()`
`protected String` `invalidGZIPFooter$str()`
`IOException` `invalidGzipHeader()`
`protected String` `invalidGzipHeader$str()`
`SSLHandshakeException` `invalidHandshakeRecord()`
`protected String` `invalidHandshakeRecord$str()`
`IllegalArgumentException` `invalidHeader()`
`protected String` `invalidHeader$str()`
`IllegalArgumentException` `invalidHeaders()`
`protected String` `invalidHeaders$str()`
`HpackException` `invalidHpackEncoding(byte b)`
`protected String` `invalidHpackEncoding$str()`
`HpackException` `invalidHpackIndex(int index)`
`protected String` `invalidHpackIndex$str()`
`IOException` `invalidIpAddress(String addressString)`
`protected String` `invalidIpAddress$str()`
`IllegalArgumentException` `invalidNonceReceived()`
`protected String` `invalidNonceReceived$str()`
`String` `invalidPingSize()`
`protected String` `invalidPingSize$str()`
`IOException` `invalidProxyHeader()`
`protected String` `invalidProxyHeader$str()`
`IllegalArgumentException` `invalidSameSiteMode(String mode, String validAttributes)`
`protected String` `invalidSameSiteMode$str()`
`SSLException` `invalidTlsExt()`
`protected String` `invalidTlsExt$str()`
`IllegalArgumentException` `invalidToken(byte c)`
`protected String` `invalidToken$str()`
`IllegalArgumentException` `listenerAlreadyRegistered(String name)`
`protected String` `listenerAlreadyRegistered$str()`
`IllegalStateException` `matcherAlreadyContainsTemplate(String templateString, String templateString1)`
`protected String` `matcherAlreadyContainsTemplate$str()`
`MultiPartParserDefinition.FileTooLargeException` `maxFileSizeExceeded(long maxIndividualFileSize)`
`protected String` `maxFileSizeExceeded$str()`
`IllegalArgumentException` `maximumConcurrentRequestsMustBeLargerThanZero()`
`protected String` `maximumConcurrentRequestsMustBeLargerThanZero$str()`
`RuntimeException` `mcmpMessageRejectedDueToSuspiciousCharacters(String data)`
`protected String` `mcmpMessageRejectedDueToSuspiciousCharacters$str()`
`RuntimeException` `mismatchedBraces(String valueString)`
`protected String` `mismatchedBraces$str()`
`IllegalStateException` `moreThanOneHandlerWithName(String name, Class<? extends HandlerBuilder> aClass, Class<? extends HandlerBuilder> existing)`
`protected String` `moreThanOneHandlerWithName$str()`
`IOException` `moreThanOneHostHeader()`
`protected String` `moreThanOneHostHeader$str()`
`IllegalStateException` `moreThanOnePredicateWithName(String name, Class<? extends PredicateBuilder> aClass, Class<? extends PredicateBuilder> existing)`
`protected String` `moreThanOnePredicateWithName$str()`
`SSLHandshakeException` `multiRecordSSLHandshake()`
`protected String` `multiRecordSSLHandshake$str()`
`IllegalArgumentException` `newlineNotSupportedInHttpString(String value)`
`protected String` `newlineNotSupportedInHttpString$str()`
`SSLException` `noContextForSslConnection()`
`protected String` `noContextForSslConnection$str()`
`IOException` `noHostInHttp11Request()`
`protected String` `noHostInHttp11Request$str()`
`IllegalStateException` `noRequestActive()`
`protected String` `noRequestActive$str()`
`IllegalStateException` `noSessionData()`
`protected String` `noSessionData$str()`
`IllegalStateException` `notAConnectRequest()`
`protected String` `notAConnectRequest$str()`
`IllegalStateException` `notAnUpgradeRequest()`
`protected String` `notAnUpgradeRequest$str()`
`IllegalArgumentException` `notAValidIpPattern(String peer)`
`protected String` `notAValidIpPattern$str()`
`IllegalArgumentException` `notAValidRegularExpressionPattern(String pattern)`
`protected String` `notAValidRegularExpressionPattern$str()`
`SSLException` `notEnoughData()`
`protected String` `notEnoughData$str()`
`SSLHandshakeException` `notHandshakeRecord()`
`protected String` `notHandshakeRecord$str()`
`IOException` `noWindowUpdate(long timeoutMiliseconds)`
`protected String` `noWindowUpdate$str()`
`IllegalStateException` `objectIsClosed()`
`protected String` `objectIsClosed$str()`
`IllegalStateException` `objectWasFreed()`
`protected String` `objectWasFreed$str()`
`IllegalStateException` `outOfBandResponseNotSupported()`
`protected String` `outOfBandResponseNotSupported$str()`
`IllegalArgumentException` `outOfBandResponseOnlyAllowedFor100Continue()`
`protected String` `outOfBandResponseOnlyAllowedFor100Continue$str()`
`IOException` `parserDidNotMakeProgress()`
`protected String` `parserDidNotMakeProgress$str()`
`IOException` `pathElementIsRegularFile(Path path)`
`protected String` `pathElementIsRegularFile$str()`
`IllegalArgumentException` `pathMustBeSpecified()`
`protected String` `pathMustBeSpecified$str()`
`IOException` `pathNotADirectory(Path path)`
`protected String` `pathNotADirectory$str()`
`SSLPeerUnverifiedException` `peerUnverified()`
`protected String` `peerUnverified$str()`
`IOException` `pingNotSupported()`
`protected String` `pingNotSupported$str()`
`IOException` `pingTimeout()`
`protected String` `pingTimeout$str()`
`IllegalStateException` `poolIsClosed()`
`protected String` `poolIsClosed$str()`
`IOException` `proxyConnectionFailed(int responseCode)`
`protected String` `proxyConnectionFailed$str()`
`String` `pseudoHeaderInWrongOrder(HttpString header)`
`protected String` `pseudoHeaderInWrongOrder$str()`
`IOException` `pushPromiseCanOnlyBeCreatedByServer()`
`protected String` `pushPromiseCanOnlyBeCreatedByServer$str()`
`protected Object` `readResolve()`
`org.xnio.channels.ReadTimeoutException` `readTimedOut(long timeoutMilliseconds)`
`protected String` `readTimedOut$str()`
`IllegalStateException` `reasonPhraseToLargeForBuffer(String phrase)`
`protected String` `reasonPhraseToLargeForBuffer$str()`
`RuntimeException` `recursiveCallToFlushingSenders()`
`protected String` `recursiveCallToFlushingSenders$str()`
`IOException` `renegotiationNotSupported()`
`protected String` `renegotiationNotSupported$str()`
`IllegalStateException` `rengotiationFailed()`
`protected String` `rengotiationFailed$str()`
`IllegalStateException` `rengotiationTimedOut()`
`protected String` `rengotiationTimedOut$str()`
`IllegalStateException` `requestBodyAlreadyRead()`
`protected String` `requestBodyAlreadyRead$str()`
`IllegalStateException` `requestChannelAlreadyProvided()`
`protected String` `requestChannelAlreadyProvided$str()`
`RequestTooBigException` `requestEntityWasTooLarge(long size)`
`protected String` `requestEntityWasTooLarge$str()`
`IllegalArgumentException` `resourceChangeListenerNotSupported()`
`protected String` `resourceChangeListenerNotSupported$str()`
`IllegalStateException` `responseAlreadyStarted()`
`protected String` `responseAlreadyStarted$str()`
`IllegalStateException` `responseChannelAlreadyProvided()`
`protected String` `responseChannelAlreadyProvided$str()`
`IllegalStateException` `responseComplete()`
`protected String` `responseComplete$str()`
`IllegalStateException` `responseTooLargeToBuffer(Long length)`
`protected String` `responseTooLargeToBuffer$str()`
`IllegalStateException` `resumedAndDispatched()`
`protected String` `resumedAndDispatched$str()`
`NullPointerException` `sendChallengeReturnedNull(AuthenticationMechanism mechanism)`
`protected String` `sendChallengeReturnedNull$str()`
`IllegalStateException` `serverNotStarted()`
`protected String` `serverNotStarted$str()`
`IOException` `serverReceivedPushPromise()`
`protected String` `serverReceivedPushPromise$str()`
`IllegalArgumentException` `servletPathMatchFailed()`
`protected String` `servletPathMatchFailed$str()`
`IllegalStateException` `sessionAlreadyInvalidated()`
`protected String` `sessionAlreadyInvalidated$str()`
`IllegalStateException` `sessionIsInvalid(String sessionId)`
`protected String` `sessionIsInvalid$str()`
`IllegalStateException` `sessionManagerMustNotBeNull()`
`protected String` `sessionManagerMustNotBeNull$str()`
`IllegalStateException` `sessionManagerNotFound()`
`protected String` `sessionManagerNotFound$str()`
`IllegalStateException` `sessionWithIdAlreadyExists(String sessionID)`
`protected String` `sessionWithIdAlreadyExists$str()`
`IOException` `sslWasNull()`
`protected String` `sslWasNull$str()`
`IllegalStateException` `startBlockingHasNotBeenCalled()`
`protected String` `startBlockingHasNotBeenCalled$str()`
`String` `streamIdMustBeZeroForFrameType(int frameType)`
`protected String` `streamIdMustBeZeroForFrameType$str()`
`String` `streamIdMustNotBeZeroForFrameType(int frameType)`
`protected String` `streamIdMustNotBeZeroForFrameType$str()`
`IOException` `streamIsClosed()`
`protected String` `streamIsClosed$str()`
`IOException` `streamLimitExceeded()`
`protected String` `streamLimitExceeded$str()`
`IllegalStateException` `streamNotRegistered()`
`protected String` `streamNotRegistered$str()`
`IllegalStateException` `tooManyCookies(int maxCookies)`
`protected String` `tooManyCookies$str()`
`String` `tooManyHeaders(int noParams)`
`protected String` `tooManyHeaders$str()`
`ParameterLimitException` `tooManyParameters(int maxValues)`
`protected String` `tooManyParameters$str()`
`BadRequestException` `tooManyQueryParameters(int noParams)`
`protected String` `tooManyQueryParameters$str()`
`IOException` `tooManyRedirects(IOException exception)`
`protected String` `tooManyRedirects$str()`
`IllegalStateException` `tooManySessions(int maxSessions)`
`protected String` `tooManySessions$str()`
`IllegalArgumentException` `unexpectedTokenInHeader(String name)`
`protected String` `unexpectedTokenInHeader$str()`
`IllegalStateException` `upgradeNotSupported()`
`protected String` `upgradeNotSupported$str()`
`IllegalArgumentException` `userAgentCharsetMustHaveEvenNumberOfItems(String supplied)`
`protected String` `userAgentCharsetMustHaveEvenNumberOfItems$str()`
`String` `userAuthenticated(String userName)`
`protected String` `userAuthenticated$str()`
`String` `userLoggedOut(String userName)`
`protected String` `userLoggedOut$str()`
`IOException` `wrongMagicNumber(int number)`
`protected String` `wrongMagicNumber$str()`
`HpackException` `zeroNotValidHeaderTableIndex()`
`protected String` `zeroNotValidHeaderTableIndex$str()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final UndertowMessages_$bundle INSTANCE

### Constructor Detail

#### UndertowMessages_$bundle

    protected UndertowMessages_$bundle()

### Method Detail

#### readResolve

    protected Object readResolve()

#### getLoggingLocale

    protected Locale getLoggingLocale()

#### maximumConcurrentRequestsMustBeLargerThanZero$str

    protected String maximumConcurrentRequestsMustBeLargerThanZero$str()

#### maximumConcurrentRequestsMustBeLargerThanZero

    public final IllegalArgumentException maximumConcurrentRequestsMustBeLargerThanZero()

Specified by:
  `maximumConcurrentRequestsMustBeLargerThanZero` in interface `UndertowMessages`

#### responseAlreadyStarted$str

    protected String responseAlreadyStarted$str()

#### responseAlreadyStarted

    public final IllegalStateException responseAlreadyStarted()

Specified by:
  `responseAlreadyStarted` in interface `UndertowMessages`

#### responseChannelAlreadyProvided$str

    protected String responseChannelAlreadyProvided$str()

#### responseChannelAlreadyProvided

    public final IllegalStateException responseChannelAlreadyProvided()

Specified by:
  `responseChannelAlreadyProvided` in interface `UndertowMessages`

#### requestChannelAlreadyProvided$str

    protected String requestChannelAlreadyProvided$str()

#### requestChannelAlreadyProvided

    public final IllegalStateException requestChannelAlreadyProvided()

Specified by:
  `requestChannelAlreadyProvided` in interface `UndertowMessages`

#### handlerCannotBeNull$str

    protected String handlerCannotBeNull$str()

#### handlerCannotBeNull

    public final IllegalArgumentException handlerCannotBeNull()

Specified by:
  `handlerCannotBeNull` in interface `UndertowMessages`

#### pathMustBeSpecified$str

    protected String pathMustBeSpecified$str()

#### pathMustBeSpecified

    public final IllegalArgumentException pathMustBeSpecified()

Specified by:
  `pathMustBeSpecified` in interface `UndertowMessages`

#### sessionIsInvalid$str

    protected String sessionIsInvalid$str()

#### sessionIsInvalid

    public final IllegalStateException sessionIsInvalid(String sessionId)

Specified by:
  `sessionIsInvalid` in interface `UndertowMessages`

#### sessionManagerMustNotBeNull$str

    protected String sessionManagerMustNotBeNull$str()

#### sessionManagerMustNotBeNull

    public final IllegalStateException sessionManagerMustNotBeNull()

Specified by:
  `sessionManagerMustNotBeNull` in interface `UndertowMessages`

#### sessionManagerNotFound$str

    protected String sessionManagerNotFound$str()

#### sessionManagerNotFound

    public final IllegalStateException sessionManagerNotFound()

Specified by:
  `sessionManagerNotFound` in interface `UndertowMessages`

#### argumentCannotBeNull$str

    protected String argumentCannotBeNull$str()

#### argumentCannotBeNull

    public final IllegalArgumentException argumentCannotBeNull(String argument)

Specified by:
  `argumentCannotBeNull` in interface `UndertowMessages`

#### formValueIsAFile$str

    protected String formValueIsAFile$str()

#### formValueIsAFile

    public final IllegalStateException formValueIsAFile()

Specified by:
  `formValueIsAFile` in interface `UndertowMessages`

#### formValueIsAString$str

    protected String formValueIsAString$str()

#### formValueIsAString

    public final IllegalStateException formValueIsAString()

Specified by:
  `formValueIsAString` in interface `UndertowMessages`

#### requestEntityWasTooLarge$str

    protected String requestEntityWasTooLarge$str()

#### requestEntityWasTooLarge

    public final RequestTooBigException requestEntityWasTooLarge(long size)

Specified by:
  `requestEntityWasTooLarge` in interface `UndertowMessages`

#### sessionAlreadyInvalidated$str

    protected String sessionAlreadyInvalidated$str()

#### sessionAlreadyInvalidated

    public final IllegalStateException sessionAlreadyInvalidated()

Specified by:
  `sessionAlreadyInvalidated` in interface `UndertowMessages`

#### hashAlgorithmNotFound$str

    protected String hashAlgorithmNotFound$str()

#### hashAlgorithmNotFound

    public final IllegalArgumentException hashAlgorithmNotFound(String algorithmName)

Specified by:
  `hashAlgorithmNotFound` in interface `UndertowMessages`

#### invalidBase64Token$str

    protected String invalidBase64Token$str()

#### invalidBase64Token

    public final IllegalArgumentException invalidBase64Token(IOException cause)

Specified by:
  `invalidBase64Token` in interface `UndertowMessages`

#### invalidNonceReceived$str

    protected String invalidNonceReceived$str()

#### invalidNonceReceived

    public final IllegalArgumentException invalidNonceReceived()

Specified by:
  `invalidNonceReceived` in interface `UndertowMessages`

#### unexpectedTokenInHeader$str

    protected String unexpectedTokenInHeader$str()

#### unexpectedTokenInHeader

    public final IllegalArgumentException unexpectedTokenInHeader(String name)

Specified by:
  `unexpectedTokenInHeader` in interface `UndertowMessages`

#### invalidHeader$str

    protected String invalidHeader$str()

#### invalidHeader

    public final IllegalArgumentException invalidHeader()

Specified by:
  `invalidHeader` in interface `UndertowMessages`

#### couldNotFindSessionCookieConfig$str

    protected String couldNotFindSessionCookieConfig$str()

#### couldNotFindSessionCookieConfig

    public final IllegalStateException couldNotFindSessionCookieConfig()

Specified by:
  `couldNotFindSessionCookieConfig` in interface `UndertowMessages`

#### chunkedChannelClosedMidChunk$str

    protected String chunkedChannelClosedMidChunk$str()

#### chunkedChannelClosedMidChunk

    public final IOException chunkedChannelClosedMidChunk()

Specified by:
  `chunkedChannelClosedMidChunk` in interface `UndertowMessages`

#### userAuthenticated$str

    protected String userAuthenticated$str()

#### userAuthenticated

    public final String userAuthenticated(String userName)

Specified by:
  `userAuthenticated` in interface `UndertowMessages`

#### userLoggedOut$str

    protected String userLoggedOut$str()

#### userLoggedOut

    public final String userLoggedOut(String userName)

Specified by:
  `userLoggedOut` in interface `UndertowMessages`

#### streamIsClosed$str

    protected String streamIsClosed$str()

#### streamIsClosed

    public final IOException streamIsClosed()

Specified by:
  `streamIsClosed` in interface `UndertowMessages`

#### startBlockingHasNotBeenCalled$str

    protected String startBlockingHasNotBeenCalled$str()

#### startBlockingHasNotBeenCalled

    public final IllegalStateException startBlockingHasNotBeenCalled()

Specified by:
  `startBlockingHasNotBeenCalled` in interface `UndertowMessages`

#### connectionTerminatedReadingMultiPartData$str

    protected String connectionTerminatedReadingMultiPartData$str()

#### connectionTerminatedReadingMultiPartData

    public final IOException connectionTerminatedReadingMultiPartData()

Specified by:
  `connectionTerminatedReadingMultiPartData` in interface `UndertowMessages`

#### failedToParsePath$str

    protected String failedToParsePath$str()

#### failedToParsePath

    public final RuntimeException failedToParsePath()

Specified by:
  `failedToParsePath` in interface `UndertowMessages`

#### authenticationFailed$str

    protected String authenticationFailed$str()

#### authenticationFailed

    public final String authenticationFailed(String userName)

Specified by:
  `authenticationFailed` in interface `UndertowMessages`

#### tooManyQueryParameters$str

    protected String tooManyQueryParameters$str()

#### tooManyQueryParameters

    public final BadRequestException tooManyQueryParameters(int noParams)

Specified by:
  `tooManyQueryParameters` in interface `UndertowMessages`

#### tooManyHeaders$str

    protected String tooManyHeaders$str()

#### tooManyHeaders

    public final String tooManyHeaders(int noParams)

Specified by:
  `tooManyHeaders` in interface `UndertowMessages`

#### channelIsClosed$str

    protected String channelIsClosed$str()

#### channelIsClosed

    public final ClosedChannelException channelIsClosed()

Specified by:
  `channelIsClosed` in interface `UndertowMessages`

#### couldNotDecodeTrailers$str

    protected String couldNotDecodeTrailers$str()

#### couldNotDecodeTrailers

    public final IOException couldNotDecodeTrailers()

Specified by:
  `couldNotDecodeTrailers` in interface `UndertowMessages`

#### dataAlreadyQueued$str

    protected String dataAlreadyQueued$str()

#### dataAlreadyQueued

    public final IllegalStateException dataAlreadyQueued()

Specified by:
  `dataAlreadyQueued` in interface `UndertowMessages`

#### moreThanOnePredicateWithName$str

    protected String moreThanOnePredicateWithName$str()

#### moreThanOnePredicateWithName

    public final IllegalStateException moreThanOnePredicateWithName(String name,
                                                                    Class<? extends PredicateBuilder> aClass,
                                                                    Class<? extends PredicateBuilder> existing)

Specified by:
  `moreThanOnePredicateWithName` in interface `UndertowMessages`

#### errorParsingPredicateString$str

    protected String errorParsingPredicateString$str()

#### errorParsingPredicateString

    public final IllegalArgumentException errorParsingPredicateString(String reason,
                                                                      String s)

Specified by:
  `errorParsingPredicateString` in interface `UndertowMessages`

#### tooManyCookies$str

    protected String tooManyCookies$str()

#### tooManyCookies

    public final IllegalStateException tooManyCookies(int maxCookies)

Specified by:
  `tooManyCookies` in interface `UndertowMessages`

#### tooManyParameters$str

    protected String tooManyParameters$str()

#### tooManyParameters

    public final ParameterLimitException tooManyParameters(int maxValues)

Specified by:
  `tooManyParameters` in interface `UndertowMessages`

#### noRequestActive$str

    protected String noRequestActive$str()

#### noRequestActive

    public final IllegalStateException noRequestActive()

Specified by:
  `noRequestActive` in interface `UndertowMessages`

#### authMechanismOutcomeNull$str

    protected String authMechanismOutcomeNull$str()

#### authMechanismOutcomeNull

    public final IllegalStateException authMechanismOutcomeNull()

Specified by:
  `authMechanismOutcomeNull` in interface `UndertowMessages`

#### notAValidIpPattern$str

    protected String notAValidIpPattern$str()

#### notAValidIpPattern

    public final IllegalArgumentException notAValidIpPattern(String peer)

Specified by:
  `notAValidIpPattern` in interface `UndertowMessages`

#### noSessionData$str

    protected String noSessionData$str()

#### noSessionData

    public final IllegalStateException noSessionData()

Specified by:
  `noSessionData` in interface `UndertowMessages`

#### listenerAlreadyRegistered$str

    protected String listenerAlreadyRegistered$str()

#### listenerAlreadyRegistered

    public final IllegalArgumentException listenerAlreadyRegistered(String name)

Specified by:
  `listenerAlreadyRegistered` in interface `UndertowMessages`

#### maxFileSizeExceeded$str

    protected String maxFileSizeExceeded$str()

#### maxFileSizeExceeded

    public final MultiPartParserDefinition.FileTooLargeException maxFileSizeExceeded(long maxIndividualFileSize)

Specified by:
  `maxFileSizeExceeded` in interface `UndertowMessages`

#### couldNotSetAttribute$str

    protected String couldNotSetAttribute$str()

#### couldNotSetAttribute

    public final String couldNotSetAttribute(String attributeName,
                                             String newValue)

Specified by:
  `couldNotSetAttribute` in interface `UndertowMessages`

#### couldNotParseUriTemplate$str

    protected String couldNotParseUriTemplate$str()

#### couldNotParseUriTemplate

    public final RuntimeException couldNotParseUriTemplate(String path,
                                                           int i)

Specified by:
  `couldNotParseUriTemplate` in interface `UndertowMessages`

#### mismatchedBraces$str

    protected String mismatchedBraces$str()

#### mismatchedBraces

    public final RuntimeException mismatchedBraces(String valueString)

Specified by:
  `mismatchedBraces` in interface `UndertowMessages`

#### moreThanOneHandlerWithName$str

    protected String moreThanOneHandlerWithName$str()

#### moreThanOneHandlerWithName

    public final IllegalStateException moreThanOneHandlerWithName(String name,
                                                                  Class<? extends HandlerBuilder> aClass,
                                                                  Class<? extends HandlerBuilder> existing)

Specified by:
  `moreThanOneHandlerWithName` in interface `UndertowMessages`

#### outOfBandResponseOnlyAllowedFor100Continue$str

    protected String outOfBandResponseOnlyAllowedFor100Continue$str()

#### outOfBandResponseOnlyAllowedFor100Continue

    public final IllegalArgumentException outOfBandResponseOnlyAllowedFor100Continue()

Specified by:
  `outOfBandResponseOnlyAllowedFor100Continue` in interface `UndertowMessages`

#### sslWasNull$str

    protected String sslWasNull$str()

#### sslWasNull

    public final IOException sslWasNull()

Specified by:
  `sslWasNull` in interface `UndertowMessages`

#### wrongMagicNumber$str

    protected String wrongMagicNumber$str()

#### wrongMagicNumber

    public final IOException wrongMagicNumber(int number)

Specified by:
  `wrongMagicNumber` in interface `UndertowMessages`

#### peerUnverified$str

    protected String peerUnverified$str()

#### peerUnverified

    public final SSLPeerUnverifiedException peerUnverified()

Specified by:
  `peerUnverified` in interface `UndertowMessages`

#### servletPathMatchFailed$str

    protected String servletPathMatchFailed$str()

#### servletPathMatchFailed

    public final IllegalArgumentException servletPathMatchFailed()

Specified by:
  `servletPathMatchFailed` in interface `UndertowMessages`

#### couldNotParseCookie$str

    protected String couldNotParseCookie$str()

#### couldNotParseCookie

    public final IllegalArgumentException couldNotParseCookie(String headerValue)

Specified by:
  `couldNotParseCookie` in interface `UndertowMessages`

#### canOnlyBeCalledByIoThread$str

    protected String canOnlyBeCalledByIoThread$str()

#### canOnlyBeCalledByIoThread

    public final IllegalStateException canOnlyBeCalledByIoThread()

Specified by:
  `canOnlyBeCalledByIoThread` in interface `UndertowMessages`

#### matcherAlreadyContainsTemplate$str

    protected String matcherAlreadyContainsTemplate$str()

#### matcherAlreadyContainsTemplate

    public final IllegalStateException matcherAlreadyContainsTemplate(String templateString,
                                                                      String templateString1)

Specified by:
  `matcherAlreadyContainsTemplate` in interface `UndertowMessages`

#### failedToDecodeURL$str

    protected String failedToDecodeURL$str()

#### failedToDecodeURL

    public final UrlDecodeException failedToDecodeURL(String s,
                                                      String enc,
                                                      Exception e)

Specified by:
  `failedToDecodeURL` in interface `UndertowMessages`

#### resourceChangeListenerNotSupported$str

    protected String resourceChangeListenerNotSupported$str()

#### resourceChangeListenerNotSupported

    public final IllegalArgumentException resourceChangeListenerNotSupported()

Specified by:
  `resourceChangeListenerNotSupported` in interface `UndertowMessages`

#### objectWasFreed$str

    protected String objectWasFreed$str()

#### objectWasFreed

    public final IllegalStateException objectWasFreed()

Specified by:
  `objectWasFreed` in interface `UndertowMessages`

#### handlerNotShutdown$str

    protected String handlerNotShutdown$str()

#### handlerNotShutdown

    public final IllegalStateException handlerNotShutdown()

Specified by:
  `handlerNotShutdown` in interface `UndertowMessages`

#### upgradeNotSupported$str

    protected String upgradeNotSupported$str()

#### upgradeNotSupported

    public final IllegalStateException upgradeNotSupported()

Specified by:
  `upgradeNotSupported` in interface `UndertowMessages`

#### renegotiationNotSupported$str

    protected String renegotiationNotSupported$str()

#### renegotiationNotSupported

    public final IOException renegotiationNotSupported()

Specified by:
  `renegotiationNotSupported` in interface `UndertowMessages`

#### notAValidRegularExpressionPattern$str

    protected String notAValidRegularExpressionPattern$str()

#### notAValidRegularExpressionPattern

    public final IllegalArgumentException notAValidRegularExpressionPattern(String pattern)

Specified by:
  `notAValidRegularExpressionPattern` in interface `UndertowMessages`

#### badRequest$str

    protected String badRequest$str()

#### badRequest

    public final BadRequestException badRequest()

Specified by:
  `badRequest` in interface `UndertowMessages`

#### hostAlreadyRegistered$str

    protected String hostAlreadyRegistered$str()

#### hostAlreadyRegistered

    public final RuntimeException hostAlreadyRegistered(Object host)

Specified by:
  `hostAlreadyRegistered` in interface `UndertowMessages`

#### hostHasNotBeenRegistered$str

    protected String hostHasNotBeenRegistered$str()

#### hostHasNotBeenRegistered

    public final RuntimeException hostHasNotBeenRegistered(Object host)

Specified by:
  `hostHasNotBeenRegistered` in interface `UndertowMessages`

#### extraDataWrittenAfterChunkEnd$str

    protected String extraDataWrittenAfterChunkEnd$str()

#### extraDataWrittenAfterChunkEnd

    public final IOException extraDataWrittenAfterChunkEnd()

Specified by:
  `extraDataWrittenAfterChunkEnd` in interface `UndertowMessages`

#### couldNotGenerateUniqueSessionId$str

    protected String couldNotGenerateUniqueSessionId$str()

#### couldNotGenerateUniqueSessionId

    public final RuntimeException couldNotGenerateUniqueSessionId()

Specified by:
  `couldNotGenerateUniqueSessionId` in interface `UndertowMessages`

#### controlFrameCannotHaveBodyContent$str

    protected String controlFrameCannotHaveBodyContent$str()

#### controlFrameCannotHaveBodyContent

    public final IOException controlFrameCannotHaveBodyContent()

Specified by:
  `controlFrameCannotHaveBodyContent` in interface `UndertowMessages`

#### bufferAlreadyFreed$str

    protected String bufferAlreadyFreed$str()

#### bufferAlreadyFreed

    public final IllegalStateException bufferAlreadyFreed()

Specified by:
  `bufferAlreadyFreed` in interface `UndertowMessages`

#### awaitCalledFromIoThread$str

    protected String awaitCalledFromIoThread$str()

#### awaitCalledFromIoThread

    public final IOException awaitCalledFromIoThread()

Specified by:
  `awaitCalledFromIoThread` in interface `UndertowMessages`

#### recursiveCallToFlushingSenders$str

    protected String recursiveCallToFlushingSenders$str()

#### recursiveCallToFlushingSenders

    public final RuntimeException recursiveCallToFlushingSenders()

Specified by:
  `recursiveCallToFlushingSenders` in interface `UndertowMessages`

#### fixedLengthOverflow$str

    protected String fixedLengthOverflow$str()

#### fixedLengthOverflow

    public final IllegalStateException fixedLengthOverflow()

Specified by:
  `fixedLengthOverflow` in interface `UndertowMessages`

#### ajpRequestAlreadyInProgress$str

    protected String ajpRequestAlreadyInProgress$str()

#### ajpRequestAlreadyInProgress

    public final IllegalStateException ajpRequestAlreadyInProgress()

Specified by:
  `ajpRequestAlreadyInProgress` in interface `UndertowMessages`

#### httpPingDataMustBeLength8$str

    protected String httpPingDataMustBeLength8$str()

#### httpPingDataMustBeLength8

    public final String httpPingDataMustBeLength8()

Specified by:
  `httpPingDataMustBeLength8` in interface `UndertowMessages`

#### invalidPingSize$str

    protected String invalidPingSize$str()

#### invalidPingSize

    public final String invalidPingSize()

Specified by:
  `invalidPingSize` in interface `UndertowMessages`

#### streamIdMustBeZeroForFrameType$str

    protected String streamIdMustBeZeroForFrameType$str()

#### streamIdMustBeZeroForFrameType

    public final String streamIdMustBeZeroForFrameType(int frameType)

Specified by:
  `streamIdMustBeZeroForFrameType` in interface `UndertowMessages`

#### streamIdMustNotBeZeroForFrameType$str

    protected String streamIdMustNotBeZeroForFrameType$str()

#### streamIdMustNotBeZeroForFrameType

    public final String streamIdMustNotBeZeroForFrameType(int frameType)

Specified by:
  `streamIdMustNotBeZeroForFrameType` in interface `UndertowMessages`

#### http2StreamWasReset$str

    protected String http2StreamWasReset$str()

#### http2StreamWasReset

    public final IOException http2StreamWasReset()

Specified by:
  `http2StreamWasReset` in interface `UndertowMessages`

#### incorrectHttp2Preface$str

    protected String incorrectHttp2Preface$str()

#### incorrectHttp2Preface

    public final IOException incorrectHttp2Preface()

Specified by:
  `incorrectHttp2Preface` in interface `UndertowMessages`

#### http2FrameTooLarge$str

    protected String http2FrameTooLarge$str()

#### http2FrameTooLarge

    public final IOException http2FrameTooLarge()

Specified by:
  `http2FrameTooLarge` in interface `UndertowMessages`

#### http2ContinuationFrameNotExpected$str

    protected String http2ContinuationFrameNotExpected$str()

#### http2ContinuationFrameNotExpected

    public final IOException http2ContinuationFrameNotExpected()

Specified by:
  `http2ContinuationFrameNotExpected` in interface `UndertowMessages`

#### huffmanEncodedHpackValueDidNotEndWithEOS$str

    protected String huffmanEncodedHpackValueDidNotEndWithEOS$str()

#### huffmanEncodedHpackValueDidNotEndWithEOS

    public final HpackException huffmanEncodedHpackValueDidNotEndWithEOS()

Specified by:
  `huffmanEncodedHpackValueDidNotEndWithEOS` in interface `UndertowMessages`

#### integerEncodedOverTooManyOctets$str

    protected String integerEncodedOverTooManyOctets$str()

#### integerEncodedOverTooManyOctets

    public final HpackException integerEncodedOverTooManyOctets(int maxIntegerOctets)

Specified by:
  `integerEncodedOverTooManyOctets` in interface `UndertowMessages`

#### zeroNotValidHeaderTableIndex$str

    protected String zeroNotValidHeaderTableIndex$str()

#### zeroNotValidHeaderTableIndex

    public final HpackException zeroNotValidHeaderTableIndex()

Specified by:
  `zeroNotValidHeaderTableIndex` in interface `UndertowMessages`

#### cannotSendContinueResponse$str

    protected String cannotSendContinueResponse$str()

#### cannotSendContinueResponse

    public final IOException cannotSendContinueResponse()

Specified by:
  `cannotSendContinueResponse` in interface `UndertowMessages`

#### parserDidNotMakeProgress$str

    protected String parserDidNotMakeProgress$str()

#### parserDidNotMakeProgress

    public final IOException parserDidNotMakeProgress()

Specified by:
  `parserDidNotMakeProgress` in interface `UndertowMessages`

#### headersStreamCanOnlyBeCreatedByClient$str

    protected String headersStreamCanOnlyBeCreatedByClient$str()

#### headersStreamCanOnlyBeCreatedByClient

    public final IOException headersStreamCanOnlyBeCreatedByClient()

Specified by:
  `headersStreamCanOnlyBeCreatedByClient` in interface `UndertowMessages`

#### pushPromiseCanOnlyBeCreatedByServer$str

    protected String pushPromiseCanOnlyBeCreatedByServer$str()

#### pushPromiseCanOnlyBeCreatedByServer

    public final IOException pushPromiseCanOnlyBeCreatedByServer()

Specified by:
  `pushPromiseCanOnlyBeCreatedByServer` in interface `UndertowMessages`

#### invalidAclRule$str

    protected String invalidAclRule$str()

#### invalidAclRule

    public final IllegalArgumentException invalidAclRule(String rule)

Specified by:
  `invalidAclRule` in interface `UndertowMessages`

#### serverReceivedPushPromise$str

    protected String serverReceivedPushPromise$str()

#### serverReceivedPushPromise

    public final IOException serverReceivedPushPromise()

Specified by:
  `serverReceivedPushPromise` in interface `UndertowMessages`

#### connectNotSupported$str

    protected String connectNotSupported$str()

#### connectNotSupported

    public final IllegalStateException connectNotSupported()

Specified by:
  `connectNotSupported` in interface `UndertowMessages`

#### notAConnectRequest$str

    protected String notAConnectRequest$str()

#### notAConnectRequest

    public final IllegalStateException notAConnectRequest()

Specified by:
  `notAConnectRequest` in interface `UndertowMessages`

#### cannotResetBuffer$str

    protected String cannotResetBuffer$str()

#### cannotResetBuffer

    public final IllegalStateException cannotResetBuffer()

Specified by:
  `cannotResetBuffer` in interface `UndertowMessages`

#### http2PriRequestFailed$str

    protected String http2PriRequestFailed$str()

#### http2PriRequestFailed

    public final IOException http2PriRequestFailed()

Specified by:
  `http2PriRequestFailed` in interface `UndertowMessages`

#### outOfBandResponseNotSupported$str

    protected String outOfBandResponseNotSupported$str()

#### outOfBandResponseNotSupported

    public final IllegalStateException outOfBandResponseNotSupported()

Specified by:
  `outOfBandResponseNotSupported` in interface `UndertowMessages`

#### tooManySessions$str

    protected String tooManySessions$str()

#### tooManySessions

    public final IllegalStateException tooManySessions(int maxSessions)

Specified by:
  `tooManySessions` in interface `UndertowMessages`

#### proxyConnectionFailed$str

    protected String proxyConnectionFailed$str()

#### proxyConnectionFailed

    public final IOException proxyConnectionFailed(int responseCode)

Specified by:
  `proxyConnectionFailed` in interface `UndertowMessages`

#### mcmpMessageRejectedDueToSuspiciousCharacters$str

    protected String mcmpMessageRejectedDueToSuspiciousCharacters$str()

#### mcmpMessageRejectedDueToSuspiciousCharacters

    public final RuntimeException mcmpMessageRejectedDueToSuspiciousCharacters(String data)

Specified by:
  `mcmpMessageRejectedDueToSuspiciousCharacters` in interface `UndertowMessages`

#### rengotiationTimedOut$str

    protected String rengotiationTimedOut$str()

#### rengotiationTimedOut

    public final IllegalStateException rengotiationTimedOut()

Specified by:
  `rengotiationTimedOut` in interface `UndertowMessages`

#### requestBodyAlreadyRead$str

    protected String requestBodyAlreadyRead$str()

#### requestBodyAlreadyRead

    public final IllegalStateException requestBodyAlreadyRead()

Specified by:
  `requestBodyAlreadyRead` in interface `UndertowMessages`

#### blockingIoFromIOThread$str

    protected String blockingIoFromIOThread$str()

#### blockingIoFromIOThread

    public final IllegalStateException blockingIoFromIOThread()

Specified by:
  `blockingIoFromIOThread` in interface `UndertowMessages`

#### responseComplete$str

    protected String responseComplete$str()

#### responseComplete

    public final IllegalStateException responseComplete()

Specified by:
  `responseComplete` in interface `UndertowMessages`

#### couldNotReadContentLengthData$str

    protected String couldNotReadContentLengthData$str()

#### couldNotReadContentLengthData

    public final IOException couldNotReadContentLengthData()

Specified by:
  `couldNotReadContentLengthData` in interface `UndertowMessages`

#### failedToSendAfterBeingSafe$str

    protected String failedToSendAfterBeingSafe$str()

#### failedToSendAfterBeingSafe

    public final IllegalStateException failedToSendAfterBeingSafe()

Specified by:
  `failedToSendAfterBeingSafe` in interface `UndertowMessages`

#### reasonPhraseToLargeForBuffer$str

    protected String reasonPhraseToLargeForBuffer$str()

#### reasonPhraseToLargeForBuffer

    public final IllegalStateException reasonPhraseToLargeForBuffer(String phrase)

Specified by:
  `reasonPhraseToLargeForBuffer` in interface `UndertowMessages`

#### poolIsClosed$str

    protected String poolIsClosed$str()

#### poolIsClosed

    public final IllegalStateException poolIsClosed()

Specified by:
  `poolIsClosed` in interface `UndertowMessages`

#### hpackFailed$str

    protected String hpackFailed$str()

#### hpackFailed

    public final HpackException hpackFailed()

Specified by:
  `hpackFailed` in interface `UndertowMessages`

#### notAnUpgradeRequest$str

    protected String notAnUpgradeRequest$str()

#### notAnUpgradeRequest

    public final IllegalStateException notAnUpgradeRequest()

Specified by:
  `notAnUpgradeRequest` in interface `UndertowMessages`

#### authenticationPropertyNotSet$str

    protected String authenticationPropertyNotSet$str()

#### authenticationPropertyNotSet

    public final IllegalStateException authenticationPropertyNotSet(String name,
                                                                    String header)

Specified by:
  `authenticationPropertyNotSet` in interface `UndertowMessages`

#### rengotiationFailed$str

    protected String rengotiationFailed$str()

#### rengotiationFailed

    public final IllegalStateException rengotiationFailed()

Specified by:
  `rengotiationFailed` in interface `UndertowMessages`

#### userAgentCharsetMustHaveEvenNumberOfItems$str

    protected String userAgentCharsetMustHaveEvenNumberOfItems$str()

#### userAgentCharsetMustHaveEvenNumberOfItems

    public final IllegalArgumentException userAgentCharsetMustHaveEvenNumberOfItems(String supplied)

Specified by:
  `userAgentCharsetMustHaveEvenNumberOfItems` in interface `UndertowMessages`

#### datasourceNotFound$str

    protected String datasourceNotFound$str()

#### datasourceNotFound

    public final IllegalArgumentException datasourceNotFound(String ds)

Specified by:
  `datasourceNotFound` in interface `UndertowMessages`

#### serverNotStarted$str

    protected String serverNotStarted$str()

#### serverNotStarted

    public final IllegalStateException serverNotStarted()

Specified by:
  `serverNotStarted` in interface `UndertowMessages`

#### exchangeAlreadyComplete$str

    protected String exchangeAlreadyComplete$str()

#### exchangeAlreadyComplete

    public final IllegalStateException exchangeAlreadyComplete()

Specified by:
  `exchangeAlreadyComplete` in interface `UndertowMessages`

#### notHandshakeRecord$str

    protected String notHandshakeRecord$str()

#### notHandshakeRecord

    public final SSLHandshakeException notHandshakeRecord()

Specified by:
  `notHandshakeRecord` in interface `UndertowMessages`

#### invalidHandshakeRecord$str

    protected String invalidHandshakeRecord$str()

#### invalidHandshakeRecord

    public final SSLHandshakeException invalidHandshakeRecord()

Specified by:
  `invalidHandshakeRecord` in interface `UndertowMessages`

#### multiRecordSSLHandshake$str

    protected String multiRecordSSLHandshake$str()

#### multiRecordSSLHandshake

    public final SSLHandshakeException multiRecordSSLHandshake()

Specified by:
  `multiRecordSSLHandshake` in interface `UndertowMessages`

#### expectedClientHello$str

    protected String expectedClientHello$str()

#### expectedClientHello

    public final SSLHandshakeException expectedClientHello()

Specified by:
  `expectedClientHello` in interface `UndertowMessages`

#### expectedServerHello$str

    protected String expectedServerHello$str()

#### expectedServerHello

    public final SSLHandshakeException expectedServerHello()

Specified by:
  `expectedServerHello` in interface `UndertowMessages`

#### tooManyRedirects$str

    protected String tooManyRedirects$str()

#### tooManyRedirects

    public final IOException tooManyRedirects(IOException exception)

Specified by:
  `tooManyRedirects` in interface `UndertowMessages`

#### resumedAndDispatched$str

    protected String resumedAndDispatched$str()

#### resumedAndDispatched

    public final IllegalStateException resumedAndDispatched()

Specified by:
  `resumedAndDispatched` in interface `UndertowMessages`

#### noHostInHttp11Request$str

    protected String noHostInHttp11Request$str()

#### noHostInHttp11Request

    public final IOException noHostInHttp11Request()

Specified by:
  `noHostInHttp11Request` in interface `UndertowMessages`

#### invalidHpackEncoding$str

    protected String invalidHpackEncoding$str()

#### invalidHpackEncoding

    public final HpackException invalidHpackEncoding(byte b)

Specified by:
  `invalidHpackEncoding` in interface `UndertowMessages`

#### newlineNotSupportedInHttpString$str

    protected String newlineNotSupportedInHttpString$str()

#### newlineNotSupportedInHttpString

    public final IllegalArgumentException newlineNotSupportedInHttpString(String value)

Specified by:
  `newlineNotSupportedInHttpString` in interface `UndertowMessages`

#### pseudoHeaderInWrongOrder$str

    protected String pseudoHeaderInWrongOrder$str()

#### pseudoHeaderInWrongOrder

    public final String pseudoHeaderInWrongOrder(HttpString header)

Specified by:
  `pseudoHeaderInWrongOrder` in interface `UndertowMessages`

#### expectedContinuationFrame$str

    protected String expectedContinuationFrame$str()

#### expectedContinuationFrame

    public final String expectedContinuationFrame()

Specified by:
  `expectedContinuationFrame` in interface `UndertowMessages`

#### incorrectFrameSize$str

    protected String incorrectFrameSize$str()

#### incorrectFrameSize

    public final String incorrectFrameSize()

Specified by:
  `incorrectFrameSize` in interface `UndertowMessages`

#### streamNotRegistered$str

    protected String streamNotRegistered$str()

#### streamNotRegistered

    public final IllegalStateException streamNotRegistered()

Specified by:
  `streamNotRegistered` in interface `UndertowMessages`

#### sendChallengeReturnedNull$str

    protected String sendChallengeReturnedNull$str()

#### sendChallengeReturnedNull

    public final NullPointerException sendChallengeReturnedNull(AuthenticationMechanism mechanism)

Specified by:
  `sendChallengeReturnedNull` in interface `UndertowMessages`

#### bodyIsSetAndNotReadyForFlush$str

    protected String bodyIsSetAndNotReadyForFlush$str()

#### bodyIsSetAndNotReadyForFlush

    public final IllegalStateException bodyIsSetAndNotReadyForFlush()

Specified by:
  `bodyIsSetAndNotReadyForFlush` in interface `UndertowMessages`

#### invalidGzipHeader$str

    protected String invalidGzipHeader$str()

#### invalidGzipHeader

    public final IOException invalidGzipHeader()

Specified by:
  `invalidGzipHeader` in interface `UndertowMessages`

#### invalidGZIPFooter$str

    protected String invalidGZIPFooter$str()

#### invalidGZIPFooter

    public final IOException invalidGZIPFooter()

Specified by:
  `invalidGZIPFooter` in interface `UndertowMessages`

#### responseTooLargeToBuffer$str

    protected String responseTooLargeToBuffer$str()

#### responseTooLargeToBuffer

    public final IllegalStateException responseTooLargeToBuffer(Long length)

Specified by:
  `responseTooLargeToBuffer` in interface `UndertowMessages`

#### headerBlockTooLarge$str

    protected String headerBlockTooLarge$str()

#### headerBlockTooLarge

    public final String headerBlockTooLarge()

Specified by:
  `headerBlockTooLarge` in interface `UndertowMessages`

#### invalidSameSiteMode$str

    protected String invalidSameSiteMode$str()

#### invalidSameSiteMode

    public final IllegalArgumentException invalidSameSiteMode(String mode,
                                                              String validAttributes)

Specified by:
  `invalidSameSiteMode` in interface `UndertowMessages`

#### invalidToken$str

    protected String invalidToken$str()

#### invalidToken

    public final IllegalArgumentException invalidToken(byte c)

Specified by:
  `invalidToken` in interface `UndertowMessages`

#### invalidHeaders$str

    protected String invalidHeaders$str()

#### invalidHeaders

    public final IllegalArgumentException invalidHeaders()

Specified by:
  `invalidHeaders` in interface `UndertowMessages`

#### invalidCharacterInRequestTarget$str

    protected String invalidCharacterInRequestTarget$str()

#### invalidCharacterInRequestTarget

    public final String invalidCharacterInRequestTarget(char next)

Specified by:
  `invalidCharacterInRequestTarget` in interface `UndertowMessages`

#### objectIsClosed$str

    protected String objectIsClosed$str()

#### objectIsClosed

    public final IllegalStateException objectIsClosed()

Specified by:
  `objectIsClosed` in interface `UndertowMessages`

#### moreThanOneHostHeader$str

    protected String moreThanOneHostHeader$str()

#### moreThanOneHostHeader

    public final IOException moreThanOneHostHeader()

Specified by:
  `moreThanOneHostHeader` in interface `UndertowMessages`

#### invalidCookieValue$str

    protected String invalidCookieValue$str()

#### invalidCookieValue

    public final IllegalArgumentException invalidCookieValue(String value)

Specified by:
  `invalidCookieValue` in interface `UndertowMessages`

#### invalidCookieDomain$str

    protected String invalidCookieDomain$str()

#### invalidCookieDomain

    public final IllegalArgumentException invalidCookieDomain(String value)

Specified by:
  `invalidCookieDomain` in interface `UndertowMessages`

#### invalidCookiePath$str

    protected String invalidCookiePath$str()

#### invalidCookiePath

    public final IllegalArgumentException invalidCookiePath(String value)

Specified by:
  `invalidCookiePath` in interface `UndertowMessages`

#### invalidControlCharacter$str

    protected String invalidControlCharacter$str()

#### invalidControlCharacter

    public final IllegalArgumentException invalidControlCharacter(String value)

Specified by:
  `invalidControlCharacter` in interface `UndertowMessages`

#### invalidEscapeCharacter$str

    protected String invalidEscapeCharacter$str()

#### invalidEscapeCharacter

    public final IllegalArgumentException invalidEscapeCharacter()

Specified by:
  `invalidEscapeCharacter` in interface `UndertowMessages`

#### invalidHpackIndex$str

    protected String invalidHpackIndex$str()

#### invalidHpackIndex

    public final HpackException invalidHpackIndex(int index)

Specified by:
  `invalidHpackIndex` in interface `UndertowMessages`

#### bufferPoolTooSmall$str

    protected String bufferPoolTooSmall$str()

#### bufferPoolTooSmall

    public final IllegalArgumentException bufferPoolTooSmall(int minSize)

Specified by:
  `bufferPoolTooSmall` in interface `UndertowMessages`

#### invalidProxyHeader$str

    protected String invalidProxyHeader$str()

#### invalidProxyHeader

    public final IOException invalidProxyHeader()

Specified by:
  `invalidProxyHeader` in interface `UndertowMessages`

#### headerSizeToLarge$str

    protected String headerSizeToLarge$str()

#### headerSizeToLarge

    public final IOException headerSizeToLarge()

Specified by:
  `headerSizeToLarge` in interface `UndertowMessages`

#### http2TrailerToLargeForSingleBuffer$str

    protected String http2TrailerToLargeForSingleBuffer$str()

#### http2TrailerToLargeForSingleBuffer

    public final RuntimeException http2TrailerToLargeForSingleBuffer()

Specified by:
  `http2TrailerToLargeForSingleBuffer` in interface `UndertowMessages`

#### pingNotSupported$str

    protected String pingNotSupported$str()

#### pingNotSupported

    public final IOException pingNotSupported()

Specified by:
  `pingNotSupported` in interface `UndertowMessages`

#### pingTimeout$str

    protected String pingTimeout$str()

#### pingTimeout

    public final IOException pingTimeout()

Specified by:
  `pingTimeout` in interface `UndertowMessages`

#### streamLimitExceeded$str

    protected String streamLimitExceeded$str()

#### streamLimitExceeded

    public final IOException streamLimitExceeded()

Specified by:
  `streamLimitExceeded` in interface `UndertowMessages`

#### invalidIpAddress$str

    protected String invalidIpAddress$str()

#### invalidIpAddress

    public final IOException invalidIpAddress(String addressString)

Specified by:
  `invalidIpAddress` in interface `UndertowMessages`

#### invalidTlsExt$str

    protected String invalidTlsExt$str()

#### invalidTlsExt

    public final SSLException invalidTlsExt()

Specified by:
  `invalidTlsExt` in interface `UndertowMessages`

#### notEnoughData$str

    protected String notEnoughData$str()

#### notEnoughData

    public final SSLException notEnoughData()

Specified by:
  `notEnoughData` in interface `UndertowMessages`

#### emptyHostNameSni$str

    protected String emptyHostNameSni$str()

#### emptyHostNameSni

    public final SSLException emptyHostNameSni()

Specified by:
  `emptyHostNameSni` in interface `UndertowMessages`

#### duplicatedSniServerName$str

    protected String duplicatedSniServerName$str()

#### duplicatedSniServerName

    public final SSLException duplicatedSniServerName(int type)

Specified by:
  `duplicatedSniServerName` in interface `UndertowMessages`

#### noContextForSslConnection$str

    protected String noContextForSslConnection$str()

#### noContextForSslConnection

    public final SSLException noContextForSslConnection()

Specified by:
  `noContextForSslConnection` in interface `UndertowMessages`

#### defaultContextCannotBeNull$str

    protected String defaultContextCannotBeNull$str()

#### defaultContextCannotBeNull

    public final IllegalStateException defaultContextCannotBeNull()

Specified by:
  `defaultContextCannotBeNull` in interface `UndertowMessages`

#### formValueIsInMemoryFile$str

    protected String formValueIsInMemoryFile$str()

#### formValueIsInMemoryFile

    public final IllegalStateException formValueIsInMemoryFile()

Specified by:
  `formValueIsInMemoryFile` in interface `UndertowMessages`

#### failedToDecodeParameterValue$str

    protected String failedToDecodeParameterValue$str()

#### failedToDecodeParameterValue

    public final String failedToDecodeParameterValue(String parameter,
                                                     String value,
                                                     Exception e)

Specified by:
  `failedToDecodeParameterValue` in interface `UndertowMessages`

#### failedToDecodeParameterName$str

    protected String failedToDecodeParameterName$str()

#### failedToDecodeParameterName

    public final String failedToDecodeParameterName(String parameter,
                                                    Exception e)

Specified by:
  `failedToDecodeParameterName` in interface `UndertowMessages`

#### chunkSizeTooLarge$str

    protected String chunkSizeTooLarge$str()

#### chunkSizeTooLarge

    public final IOException chunkSizeTooLarge()

Specified by:
  `chunkSizeTooLarge` in interface `UndertowMessages`

#### sessionWithIdAlreadyExists$str

    protected String sessionWithIdAlreadyExists$str()

#### sessionWithIdAlreadyExists

    public final IllegalStateException sessionWithIdAlreadyExists(String sessionID)

Specified by:
  `sessionWithIdAlreadyExists` in interface `UndertowMessages`

#### blockingReadTimedOut$str

    protected String blockingReadTimedOut$str()

#### blockingReadTimedOut

    public final org.xnio.channels.ReadTimeoutException blockingReadTimedOut(long timeoutNanoseconds)

Specified by:
  `blockingReadTimedOut` in interface `UndertowMessages`

#### blockingWriteTimedOut$str

    protected String blockingWriteTimedOut$str()

#### blockingWriteTimedOut

    public final org.xnio.channels.WriteTimeoutException blockingWriteTimedOut(long timeoutNanoseconds)

Specified by:
  `blockingWriteTimedOut` in interface `UndertowMessages`

#### readTimedOut$str

    protected String readTimedOut$str()

#### readTimedOut

    public final org.xnio.channels.ReadTimeoutException readTimedOut(long timeoutMilliseconds)

Specified by:
  `readTimedOut` in interface `UndertowMessages`

#### failedToReplaceHashOutputStream$str

    protected String failedToReplaceHashOutputStream$str()

#### failedToReplaceHashOutputStream

    public final SSLException failedToReplaceHashOutputStream(Exception e)

Specified by:
  `failedToReplaceHashOutputStream` in interface `UndertowMessages`

#### failedToReplaceHashOutputStreamOnWrite$str

    protected String failedToReplaceHashOutputStreamOnWrite$str()

#### failedToReplaceHashOutputStreamOnWrite

    public final RuntimeException failedToReplaceHashOutputStreamOnWrite(Exception e)

Specified by:
  `failedToReplaceHashOutputStreamOnWrite` in interface `UndertowMessages`

#### failedToInitializePathManager$str

    protected String failedToInitializePathManager$str()

#### failedToInitializePathManager

    public final RuntimeException failedToInitializePathManager(String path,
                                                                IOException ioe)

Specified by:
  `failedToInitializePathManager` in interface `UndertowMessages`

#### invalidACLAddress$str

    protected String invalidACLAddress$str()

#### invalidACLAddress

    public final IllegalArgumentException invalidACLAddress(Exception e)

Specified by:
  `invalidACLAddress` in interface `UndertowMessages`

#### noWindowUpdate$str

    protected String noWindowUpdate$str()

#### noWindowUpdate

    public final IOException noWindowUpdate(long timeoutMiliseconds)

Specified by:
  `noWindowUpdate` in interface `UndertowMessages`

#### pathNotADirectory$str

    protected String pathNotADirectory$str()

#### pathNotADirectory

    public final IOException pathNotADirectory(Path path)

Specified by:
  `pathNotADirectory` in interface `UndertowMessages`

#### pathElementIsRegularFile$str

    protected String pathElementIsRegularFile$str()

#### pathElementIsRegularFile

    public final IOException pathElementIsRegularFile(Path path)

Specified by:
  `pathElementIsRegularFile` in interface `UndertowMessages`